Update subscription by ID OAuth Scope: subscriptions:write
Update subscription by ID OAuth Scope: subscriptions:write
Update a single subscription.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
publicationId
The prefixed ID of the publication object
subscriptionId
The prefixed ID of the subscription object
Request
This endpoint expects an object.
email
The new email address for the subscription
tier
Optional parameter to set the tier for this subscription.
Allowed values:
stripe_customer_id
The Stripe Customer ID of the subscription (not required)
unsubscribe
A boolean value specifying whether to unsubscribe this subscription from the publication (not required)
custom_fields
An array of custom field objects to update
complimentary_gift_id
The prefixed ID of a complimentary access object to apply to this subscription. The complimentary access must belong to the same publication.
Response
OK
data
The subscription object
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error